Flow dnsqueries top
curl --request GET \
--url https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"by": "<string>",
"names": [
{
"answered": 1,
"answeredA": 1,
"answeredAAAA": 1,
"answers": [
"<string>"
],
"blocked": 1,
"cacheHits": 1,
"cnames": [
"<string>"
],
"first": "2023-11-07T05:31:56Z",
"last": "2023-11-07T05:31:56Z",
"name": "<string>",
"nodata": 1,
"nodataA": 1,
"nodataAAAA": 1,
"nxdomain": 1,
"qtypes": [
"<string>"
],
"queries": 1,
"records": [
"<string>"
],
"servfail": 1,
"sources": 1
}
],
"sources": [
{
"blocked": 1,
"cacheHits": 1,
"last": "2023-11-07T05:31:56Z",
"names": 1,
"namespace": "<string>",
"nxdomain": 1,
"p95Micros": 123,
"pods": [
"<string>"
],
"queries": 1,
"workload": "<string>",
"guestCluster": "<string>",
"pod": "<string>",
"project": "<string>",
"workloadKind": "<string>"
}
],
"truncated": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}projects
Flow dnsqueries top
Security → DNS Queries: every query the node DNS logged
Authorisation: security:Read on krn:celum:supervisor:{name}:project:{project}:security:*.
GET
/
api
/
supervisors
/
{name}
/
projects
/
{project}
/
security
/
flows
/
dns-queries
/
top
Flow dnsqueries top
curl --request GET \
--url https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/supervisors/{name}/projects/{project}/security/flows/dns-queries/top")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"by": "<string>",
"names": [
{
"answered": 1,
"answeredA": 1,
"answeredAAAA": 1,
"answers": [
"<string>"
],
"blocked": 1,
"cacheHits": 1,
"cnames": [
"<string>"
],
"first": "2023-11-07T05:31:56Z",
"last": "2023-11-07T05:31:56Z",
"name": "<string>",
"nodata": 1,
"nodataA": 1,
"nodataAAAA": 1,
"nxdomain": 1,
"qtypes": [
"<string>"
],
"queries": 1,
"records": [
"<string>"
],
"servfail": 1,
"sources": 1
}
],
"sources": [
{
"blocked": 1,
"cacheHits": 1,
"last": "2023-11-07T05:31:56Z",
"names": 1,
"namespace": "<string>",
"nxdomain": 1,
"p95Micros": 123,
"pods": [
"<string>"
],
"queries": 1,
"workload": "<string>",
"guestCluster": "<string>",
"pod": "<string>",
"project": "<string>",
"workloadKind": "<string>"
}
],
"truncated": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The supervisor's name, as registered under Administration → Supervisors.